package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaNequiConfigDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaNequiConfig;
import com.rjconsultores.ventaboletos.service.EmpresaNequiConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaNequiConfigService")
public class EmpresaNequiConfigServiceImpl implements EmpresaNequiConfigService {

	@Autowired
	private EmpresaNequiConfigDAO empresaNequiConfigDAO;

	public List<EmpresaNequiConfig> obtenerTodos() {
		return empresaNequiConfigDAO.obtenerTodos();
	}

	public EmpresaNequiConfig obtenerID(Integer id) {
		return empresaNequiConfigDAO.obtenerID(id);
	}

	@Transactional
	public EmpresaNequiConfig suscribir(EmpresaNequiConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaNequiConfigDAO.suscribir(entidad);
	}

	@Transactional
	public EmpresaNequiConfig actualizacion(EmpresaNequiConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaNequiConfigDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(EmpresaNequiConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaNequiConfigDAO.actualizacion(entidad);
	}

	public EmpresaNequiConfig buscarByEmpresa(Integer empresaId) {
		return empresaNequiConfigDAO.buscarByEmpresa(empresaId);
	}

}
